Bug 1011304 - [abrt] rtorrent-0.9.3-5.fc19: handle_sigbus: Process /usr/bin/rtorrent was killed by signal 6 (SIGABRT)
[abrt] rtorrent-0.9.3-5.fc19: handle_sigbus: Process /usr/bin/rtorrent was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: rtorrent (Show other bugs)
19
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
abrt_hash:b52947e96c99f7b923931069f07...
:
: 1015832 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-24 00:16 EDT by arnav
Modified: 2015-02-18 06:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:29:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (13.09 KB, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: core_backtrace (7.60 KB, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: dso_list (3.87 KB, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: environ (3.10 KB, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: maps (16.67 KB, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: open_fds (16.34 KB, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details
File: proc_pid_status (790 bytes, text/plain)
2013-09-24 00:16 EDT, arnav
no flags Details

  None (edit)
Description arnav 2013-09-24 00:16:14 EDT
Version-Release number of selected component:
rtorrent-0.9.3-5.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 3
cmdline:        rtorrent
crash_function: handle_sigbus
executable:     /usr/bin/rtorrent
kernel:         3.10.10-200.fc19.i686
runlevel:       N 5
uid:            1000
var_log_messages: Sep 24 09:07:35 netbook abrt[7910]: Saved core dump of pid 7880 (/usr/bin/rtorrent) to /var/tmp/abrt/ccpp-2013-09-24-09:07:33-7880 (60207104 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #3 handle_sigbus at main.cc:949
 #5 __bzero_sse2_rep at ../sysdeps/i386/i686/multiarch/memset-sse2-rep.S:746
 #6 memcpy at /usr/include/bits/string3.h:51
 #7 torrent::Chunk::from_buffer at chunk.cc:240
 #8 torrent::PeerConnectionBase::down_chunk_process at peer_connection_base.cc:587
 #9 torrent::PeerConnectionBase::down_chunk_from_buffer at peer_connection_base.cc:529
 #10 read_message at peer_connection_leech.cc:296
 #11 torrent::PeerConnection<(torrent::Download::ConnectionType)0>::event_read at peer_connection_leech.cc:390
 #12 torrent::PollEPoll::perform at poll_epoll.cc:180
 #13 torrent::PollEPoll::do_poll at poll_epoll.cc:210
Comment 1 arnav 2013-09-24 00:16:21 EDT
Created attachment 802011 [details]
File: backtrace
Comment 2 arnav 2013-09-24 00:16:26 EDT
Created attachment 802012 [details]
File: cgroup
Comment 3 arnav 2013-09-24 00:16:29 EDT
Created attachment 802013 [details]
File: core_backtrace
Comment 4 arnav 2013-09-24 00:16:33 EDT
Created attachment 802014 [details]
File: dso_list
Comment 5 arnav 2013-09-24 00:16:39 EDT
Created attachment 802015 [details]
File: environ
Comment 6 arnav 2013-09-24 00:16:43 EDT
Created attachment 802016 [details]
File: limits
Comment 7 arnav 2013-09-24 00:16:47 EDT
Created attachment 802017 [details]
File: maps
Comment 8 arnav 2013-09-24 00:16:52 EDT
Created attachment 802018 [details]
File: open_fds
Comment 9 arnav 2013-09-24 00:16:55 EDT
Created attachment 802019 [details]
File: proc_pid_status
Comment 10 Ankur Sinha (FranciscoD) 2013-09-24 00:42:48 EDT
Arnav,

Is this reproducible, or did it just happen randomly?

Ankur
Comment 11 Conrad Meyer 2013-09-29 22:19:22 EDT
Usually this just means the file backing an mmap(2) disappeared. Not much rtorrent can do about it, given the mmap() API. I think upstream was working on some hack to scan the set of open files to see which disappeared on it ... neat idea, not sure it is implemented yet.
Comment 12 Conrad Meyer 2013-09-29 22:21:50 EDT
rtorrent's entire trac appears to have gone missing, but this dates back a long time:

http://libtorrent.rakshasa.no/ticket/10 (archive: http://web.archive.org/web/20111104015334/http://libtorrent.rakshasa.no/ticket/10 )

And a bunch of newer bugs, although browsing trac is hard because the bugs have gone missing...
Comment 13 Conrad Meyer 2013-10-05 22:25:19 EDT
*** Bug 1015832 has been marked as a duplicate of this bug. ***
Comment 14 Fedora End Of Life 2015-01-09 17:18:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2015-02-18 06:29:44 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.